//
//  UIButton.swift
//  Kalker
//

import Foundation
import UIKit

extension UIButton {
    
    func setWhiteButton() {
        self.backgroundColor = UIColor.white
        self.tintColor = UIColor.blue
        self.layer.cornerRadius = 5
        self.layer.shadowColor = UIColor.black.cgColor
        self.layer.shadowOpacity = 0.2
        self.layer.shadowOffset = CGSize.init(width: 0, height: 2)
        self.layer.shadowRadius = 0
        self.layer.masksToBounds = false
    }
    
    func setRoundedButton() {
        self.layer.cornerRadius = 5
    }
    
    func setCircleButton() {
        self.layer.cornerRadius = self.frame.width / 2
        self.layer.shadowColor = UIColor.black.cgColor
        self.layer.shadowOpacity = 0.2
        self.layer.shadowOffset = CGSize.init(width: 0, height: 2)
        self.layer.shadowRadius = 0
        self.layer.masksToBounds = false
    }
}
